Summary: Intelligent teaching and learning with computers
Name: italc
Version: 1.0.9
Release: 6%{?dist}
License: GPLv2+
Group: System Environment/Daemons
URL: http://italc.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}.desktop
Source2: %{name}-client.desktop
Source3: italc-client.sh
Source4: italc-sysconfig
# Interesting patches found in the ubuntu package
Patch0: 01_simplify_ui.patch
Patch1: 04_autoarrange.patch
Patch2: 02_forcevisible.patch
Patch3: 03_username.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: libXtst-devel, libXdamage-devel
BuildRequires: libjpeg-devel, zlib-devel, openssl-devel
BuildRequires: desktop-file-utils
Requires: xorg-x11-xinit

%description
iTALC is a use- and powerful didactical tool which lets you view and
control computers in your labs and interact with students in a modern
way. It supports Linux and Windows NT/2000/XP and it even can be used
transparently in mixed environments.

%package master
Summary: Master for iTALC
Group: User Interface/Desktops
Requires: italc

%description master
This package contains the software needed by iTALC-masters.

%prep
%setup -q
%patch0 -p3
%patch1 -p1
%patch2 -p3
%patch3 -p1

%build
# QTDIR may be set by a qt3 instance, remove it
# (italc shouldn't be checking for QTDIR in the first place, it's
# obsoleted in QT4)
unset QTDIR
# docdir handling is broken in configure.in, but for good measure,
# let's keep it where it should be
%configure --docdir=%{_defaultdocdir}/%{name}-%{version}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} docdir=%{_defaultdocdir}/%{name}-%{version} \
 INSTALL="install -p"

desktop-file-install --vendor=""      \
  --dir=%{buildroot}%{_datadir}/applications  \
  %{SOURCE1}

mkdir -p %{buildroot}%{_sysconfdir}/italc/keys/{public,private}

install -p -m 0755 %{SOURCE3} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d
ln -s %{_bindir}/italc-client.sh \
  %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/
mkdir -p %{buildroot}%{_datadir}/gdm/autostart/LoginWindow
install -p -m 0644 %{SOURCE2} \
  %{buildroot}%{_datadir}/gdm/autostart/LoginWindow/
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
install -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/italc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}
%{_bindir}/ica
%{_bindir}/italc-client.sh
%{_libdir}/italc/libitalc_core.so
%{_sysconfdir}/X11/xinit/xinitrc.d/italc-client.sh
%{_mandir}/man1/ica.1*
%{_datadir}/gdm
%dir %{_sysconfdir}/italc
%dir %{_sysconfdir}/italc/keys
%dir %{_sysconfdir}/italc/keys/public
%config(noreplace) %{_sysconfdir}/sysconfig/italc

%files master
%defattr(-,root,root,-)
%{_bindir}/italc
%{_datadir}/icons/italc.png
%{_datadir}/menu/italc
%{_datadir}/pixmaps/italc.xpm
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/italc.1*
%dir %{_sysconfdir}/italc/keys/private


%changelog
* Mon Jul 28 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.9-1
- Initial build.

